Attribute VB_Name = "Utilities"
Private Declare Function GetTempPath _
Lib "kernel32" Alias "GetTempPathA" _
(ByVal nBufferLength As Long, _
ByVal lpBuffer As String) As Long

Private Const MAX_PATH As Long = 260

Public Function TempPath() As String
    TempPath = String$(MAX_PATH, Chr$(0))
    GetTempPath MAX_PATH, TempPath
    TempPath = Replace(TempPath, Chr$(0), "")
End Function

Function removeExtension(ScanString As String) As String
    On Error GoTo ErrorHandler
    
    ScanString = Trim(ScanString)

    If InStr(ScanString, ".") = 0 Then
        removeExtension = ScanString
        Exit Function
    End If

    removeExtension = Left(ScanString, Len(ScanString) - InStr(StrReverse(ScanString), "."))
    
    Exit Function

ErrorHandler:

    Err.Raise Err.Number, Err.Source, Err.Description
    
End Function

Function getExtName(ScanString As String) As String
    On Error GoTo ErrorHandler
    
    ScanString = Trim(ScanString)
    
    If InStr(ScanString, ".") = 0 Then
        getExtName = ""
        Exit Function
    End If
    
    getExtName = Right(ScanString, InStr(StrReverse(ScanString), ".") - 1)
    
    Exit Function

ErrorHandler:

    Err.Raise Err.Number, Err.Source, Err.Description
    
End Function

Function getEndFolderName(ScanString As String) As String
    On Error GoTo ErrorHandler
    
    ScanString = Trim(ScanString)
    
    If InStr(ScanString, "^") = 0 Then
        getEndFolderName = ""
        Exit Function
    End If
    
    getEndFolderName = Right(ScanString, InStr(StrReverse(ScanString), "^") - 1)
    
    Exit Function

ErrorHandler:

    Err.Raise Err.Number, Err.Source, Err.Description
    
End Function

